.close {
  position: absolute;

  opacity: .8;

  transition: $general-transition;

  @extend %fa-icon;
  @extend .fas;

  &:before {
    content: fa-content($fa-var-times);

    font-size: 12px;
    color: $black;

    position: absolute;
    top: calc(50% - 6px);
    left: calc(50% - 4px);
  }

  @include hover-focus {
    opacity: 1;
  }

  // Opinionated: add "hand" cursor to non-disabled .close elements
  &:not(:disabled):not(.disabled) {
    cursor: pointer;
  }
}
